Comment activer php4 au lieu de php5 sur une release 2 OVH ?

Par défaut les release 2 OVH sont livrées en standard avec au choix php4 ou php5. Dans certains cas, pour un domaine donné, on peut vouloir utiliser php4 au lieu de php5.

Pour activer php4 dans un domaine, ajouter (ou modifier...) la ligne suivante dans httpd.conf :

        AddHandler x-httpd-php5 .php
        AddHandler x-httpd-php4 .php

Puis pour que le php3 s’exécute il faut ajouter toujours dans le httpd.conf :

#SuPhp
suPHP_Engine on
AddHandler x-httpd-php4 .php3
AddHandler x-httpd-php5 .php
AddHandler x-httpd-php5 .php5
AddHandler x-httpd-php4 .php4
suPHP_AddHandler x-httpd-php5
suPHP_AddHandler x-httpd-php4

Enfin pour que les librairies Pear soient chargées par défaut il faut indiquer dans le php.ini (attention ! celui du php4 !) :

include_path = ". :/home/mae/Pear"